{
	"$schema": "https://biomejs.dev/schemas/2.3.14/schema.json",
	"files": {
		"includes": [
			"*.js",
			"*.ts",
			"*.json",
			"*.jsonc",
			"src/**/*.ts",
			"src/**/*.svelte",
			"!src/lib/components/ui/**/*",
			"!src/worker-configuration.d.ts"
		]
	},
	// https://biomejs.dev/internals/language-support/#linting-html-ish-languages
	"overrides": [
		{
			"includes": ["**/*.svelte", "**/*.astro", "**/*.vue"],
			"html": {
				"formatter": {
					"indentScriptAndStyle": true
				}
			},
			"linter": {
				"rules": {
					"style": {
						"useConst": "off",
						"useImportType": "off"
					},
					"correctness": {
						"noUnusedVariables": "off",
						"noUnusedImports": "off"
					}
				}
			}
		}
	]
}
